Overview | Modules | Class Hierarchy | Classes | Members

# GlSceneZoomAndPan.h File Reference

`#include <tulip/GlScene.h>`

Include dependency graph for GlSceneZoomAndPan.h:

## Namespaces

- namespace tlp

## Classes

- class tlp::AdditionalGlSceneAnimation
    A class which encapsulate a Tulip OpenGL scene animation This class aims to encapsulate a Tulip OpenGL scene animation. Derive it if you want to add extra animations to the Tulip OpenGL scene while a Zoom and Pan is performed. More...
- class tlp::GlSceneZoomAndPan
    A convenient class to perform Zoom and Pan animation on Tulip OpenGL scene. More...

Tulip Software by LaBRI Visualization Team 2001 - 2010